/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/*
 * MosP - Mind Open Source Project         http:// www.mosp.jp/
 * Copyright (C) 1987-2009 MIND Co., Ltd.  http:// www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.dto;

import jp.mosp.common.common.BaseDto;
import jp.mosp.common.dto.KintaiCommonDtoInterface;

/**
 * @author yoshida
 *
 */
public class MScheduleDto extends BaseDto implements KintaiCommonDtoInterface {
	
	private static final long	serialVersionUID	= 3115468966868261668L;
	
	//  フィールド
	private String				kcode				= "";					// 社員コード
	private String				hizuke				= "";					// 日付
	private int					nen					= 0;					// 年
	private int					tuki				= 0;					// 月
	private int					hi					= 0;					// 日
	private String				syozoku				= "";					// 所属コード
	private String				ninsyo				= "";					// 認証者
	private String				syjikoku			= "";					// 出勤時刻
	private String				kinmu				= "";					// 勤務形態
	private String				shankyukb			= "";					// 半休区分（午前）
	private String				kyusyukb			= "";					// 休出区分
	private String				tiriyuu				= "";					// 遅刻理由
	private String				ticoment			= "";					// 遅刻コメント
	private String				tisyoumei			= "";					// 遅刻証明書
	private int					tijikan				= 0;					// 遅刻時間
	private String				sytimes				= "";					// 出勤入力日時
	private String				tajikoku			= "";					// 退社時刻
	private int					kinmuji				= 0;					// 勤務時間
	private int					kyukeiji			= 0;					// 休憩時間
	private String				thankyukb			= "";					// 半休区分（午後）
	private String				soriyuu				= "";					// 早退理由
	private String				socoment			= "";					// 早退コメント
	private String				sosyoumei			= "";					// 早退証明書
	private int					sojikan				= 0;					// 早退時間
	private int					zajikan				= 0;					// 残業時間
	private int					ksjikan				= 0;					// 休出時間
	private int					snjikan				= 0;					// 深夜時間
	private int					syokuji				= 0;					// 食事手当支給
	private int					cyoku1				= 0;					// 1直手当支給
	private int					cyoku2				= 0;					// 2直手当支給
	private int					cyoku3				= 0;					// 3直手当支給
	private int					hoka1				= 0;					// その他支給1
	private int					hoka2				= 0;					// その他支給2
	private int					hoka3				= 0;					// その他支給3
	private int					hoka4				= 0;					// その他支給4
	private int					hoka5				= 0;					// その他支給5
	private String				tatimes				= "";					// 退社入力日時
	private String				kkriyuu				= "";					// 休暇理由
	private String				daikyujyu			= "";					// 代休充当日
	private String				kkcoment			= "";					// 休暇コメント
	private String				kksyoumei			= "";					// 休暇証明書
	private int					kkjikan				= 0;					// 休暇時間
	private String				kktimes				= "";					// 休暇入力日時
	private String				snriyuu				= "";					// 承認理由
	private String				sncoment			= "";					// 承認コメント
	private String				sntimes				= "";					// 承認入力日時
	private String				updttimes			= "";					// 更新日時
	private int					nijikyu				= 0;					// 二時間年休
	private int					warimasi1			= 0;					// 1.00割増
	private String				zkinmu				= "";					// 前回勤務形態
																			
	
	/**
	 * コンストラクタ
	 */
	public MScheduleDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kcode;
	}
	
	public String getHizuke() {
		return hizuke;
	}
	
	public int getNen() {
		return nen;
	}
	
	public int getTuki() {
		return tuki;
	}
	
	public int getHi() {
		return hi;
	}
	
	public String getSyozoku() {
		return syozoku;
	}
	
	public String getNinsyo() {
		return ninsyo;
	}
	
	public String getSyJikoku() {
		return syjikoku;
	}
	
	public String getKinmu() {
		return kinmu;
	}
	
	public String getSHankyuKb() {
		return shankyukb;
	}
	
	public String getKyusyuKb() {
		return kyusyukb;
	}
	
	public String getTiRiyuu() {
		return tiriyuu;
	}
	
	public String getTiComent() {
		return ticoment;
	}
	
	public String getTiSyoumei() {
		return tisyoumei;
	}
	
	public int getTiJikan() {
		return tijikan;
	}
	
	public String getSyTimes() {
		return sytimes;
	}
	
	public String getTaJikoku() {
		return tajikoku;
	}
	
	public int getKinmuJi() {
		return kinmuji;
	}
	
	public int getKyukeiJi() {
		return kyukeiji;
	}
	
	public String getTHankyuKb() {
		return thankyukb;
	}
	
	public String getSoRiyuu() {
		return soriyuu;
	}
	
	public String getSoComent() {
		return socoment;
	}
	
	public String getSoSyoumei() {
		return sosyoumei;
	}
	
	public int getSoJikan() {
		return sojikan;
	}
	
	public int getZaJikan() {
		return zajikan;
	}
	
	public int getKsJikan() {
		return ksjikan;
	}
	
	public int getSnJikan() {
		return snjikan;
	}
	
	public int getSyokuji() {
		return syokuji;
	}
	
	public int getCyoku1() {
		return cyoku1;
	}
	
	public int getCyoku2() {
		return cyoku2;
	}
	
	public int getCyoku3() {
		return cyoku3;
	}
	
	public int getHoka1() {
		return hoka1;
	}
	
	public int getHoka2() {
		return hoka2;
	}
	
	public int getHoka3() {
		return hoka3;
	}
	
	public int getHoka4() {
		return hoka4;
	}
	
	public int getHoka5() {
		return hoka5;
	}
	
	public String getTaTimes() {
		return tatimes;
	}
	
	public String getKKRiyuu() {
		return kkriyuu;
	}
	
	public String getDaiKyuJyu() {
		return daikyujyu;
	}
	
	public String getKKComent() {
		return kkcoment;
	}
	
	public String getKKSyoumei() {
		return kksyoumei;
	}
	
	public int getKKJikan() {
		return kkjikan;
	}
	
	public String getKKTimes() {
		return kktimes;
	}
	
	public String getSnRiyuu() {
		return snriyuu;
	}
	
	public String getSnComent() {
		return sncoment;
	}
	
	public String getSnTimes() {
		return sntimes;
	}
	
	public String getUpdtTimes() {
		return updttimes;
	}
	
	public int getNijiKyu() {
		return nijikyu;
	}
	
	public int getWarimasi1() {
		return warimasi1;
	}
	
	public String getZKinmu() {
		return zkinmu;
	}
	
	public void setKCode(String kCode) {
		kcode = kCode;
	}
	
	public void setHizuke(String hizuke) {
		this.hizuke = hizuke;
	}
	
	public void setNen(int nen) {
		this.nen = nen;
	}
	
	public void setTuki(int tuki) {
		this.tuki = tuki;
	}
	
	public void setHi(int hi) {
		this.hi = hi;
	}
	
	public void setSyozoku(String syozoku) {
		this.syozoku = syozoku;
	}
	
	public void setNinsyo(String ninsyo) {
		this.ninsyo = ninsyo;
	}
	
	public void setSyJikoku(String syJikoku) {
		syjikoku = syJikoku;
	}
	
	public void setKinmu(String kinmu) {
		this.kinmu = kinmu;
	}
	
	public void setSHankyuKb(String sHankyuKb) {
		shankyukb = sHankyuKb;
	}
	
	public void setKyusyuKb(String kyusyuKb) {
		kyusyukb = kyusyuKb;
	}
	
	public void setTiRiyuu(String tiRiyuu) {
		tiriyuu = tiRiyuu;
	}
	
	public void setTiComent(String tiComent) {
		ticoment = tiComent;
	}
	
	public void setTiSyoumei(String tiSyoumei) {
		tisyoumei = tiSyoumei;
	}
	
	public void setTiJikan(int tiJikan) {
		tijikan = tiJikan;
	}
	
	public void setSyTimes(String syTimes) {
		sytimes = syTimes;
	}
	
	public void setTaJikoku(String taJikoku) {
		tajikoku = taJikoku;
	}
	
	public void setKinmuJi(int kinmuJi) {
		kinmuji = kinmuJi;
	}
	
	public void setKyukeiJi(int kyukeiJi) {
		kyukeiji = kyukeiJi;
	}
	
	public void setTHankyuKb(String tHankyuKb) {
		thankyukb = tHankyuKb;
	}
	
	public void setSoRiyuu(String soRiyuu) {
		soriyuu = soRiyuu;
	}
	
	public void setSoComent(String soComent) {
		socoment = soComent;
	}
	
	public void setSoSyoumei(String soSyoumei) {
		sosyoumei = soSyoumei;
	}
	
	public void setSoJikan(int soJikan) {
		sojikan = soJikan;
	}
	
	public void setZaJikan(int zaJikan) {
		zajikan = zaJikan;
	}
	
	public void setKsJikan(int ksJikan) {
		ksjikan = ksJikan;
	}
	
	public void setSnJikan(int snJikan) {
		snjikan = snJikan;
	}
	
	public void setSyokuji(int syokuji) {
		this.syokuji = syokuji;
	}
	
	public void setCyoku1(int cyoku1) {
		this.cyoku1 = cyoku1;
	}
	
	public void setCyoku2(int cyoku2) {
		this.cyoku2 = cyoku2;
	}
	
	public void setCyoku3(int cyoku3) {
		this.cyoku3 = cyoku3;
	}
	
	public void setHoka1(int hoka1) {
		this.hoka1 = hoka1;
	}
	
	public void setHoka2(int hoka2) {
		this.hoka2 = hoka2;
	}
	
	public void setHoka3(int hoka3) {
		this.hoka3 = hoka3;
	}
	
	public void setHoka4(int hoka4) {
		this.hoka4 = hoka4;
	}
	
	public void setHoka5(int hoka5) {
		this.hoka5 = hoka5;
	}
	
	public void setTaTimes(String taTimes) {
		tatimes = taTimes;
	}
	
	public void setKKRiyuu(String kkRiyuu) {
		kkriyuu = kkRiyuu;
	}
	
	public void setDaiKyuJyu(String daikyuJyu) {
		daikyujyu = daikyuJyu;
	}
	
	public void setKKComent(String kkComent) {
		kkcoment = kkComent;
	}
	
	public void setKKSyoumei(String kkSyoumei) {
		kksyoumei = kkSyoumei;
	}
	
	public void setKKJikan(int kkJikan) {
		kkjikan = kkJikan;
	}
	
	public void setKKTimes(String kkTimes) {
		kktimes = kkTimes;
	}
	
	public void setSnRiyuu(String snRiyuu) {
		snriyuu = snRiyuu;
	}
	
	public void setSnComent(String snComent) {
		sncoment = snComent;
	}
	
	public void setSnTimes(String snTimes) {
		sntimes = snTimes;
	}
	
	public void setUpdtTimes(String updtTimes) {
		updttimes = updtTimes;
	}
	
	public void setNijiKyu(int nijiKyu) {
		nijikyu = nijiKyu;
	}
	
	public void setWarimasi1(int warimasi1) {
		this.warimasi1 = warimasi1;
	}
	
	public void setZKinmu(String zkinmu) {
		this.zkinmu = zkinmu;
	}
	
}
